/**
 * Copyright (C) 2006-2007  NTT DATA CORPORATION
 * 
 * Version: 1.0.0 2007/04/01
 *  
 */
package net.cellcomputing.himawari.accessory.primitive;

/**
 *
 * 参照渡しを実現するためだけに作成されたクラス
 * 
 * @author NTT DATA Corporation
 */
public strictfp class p_boolean {
	
	/**
	 * boolean型の実体
	 */
	public  boolean value;
	
	/**
	 * コンストラクタ。デフォルト値はfalse
	 */
	public p_boolean(){
		value=false;
	}
	
	/**
	 * 初期値を与えるコンストラクタ
	 * @param bool 初期値
	 */
	public p_boolean(boolean bool){
		value=bool;
	}

	/* (non-Javadoc)
	 * @see java.lang.Object#toString()
	 */
	@Override
	public String toString() {
		return String.valueOf(value);
	}
}
